summaryrefslogtreecommitdiffstats
path: root/test-radar-base.sh
diff options
context:
space:
mode:
authorMichael Allen <michael@michaelallen.io>2015-08-29 15:36:15 +0100
committerMichael Allen <michael@michaelallen.io>2015-08-29 15:36:15 +0100
commit0629f020498d97f71e8a46828803e4ff54aa6924 (patch)
treefec1adcd7aacb6f55daaaadb8a9c9f139e5a2933 /test-radar-base.sh
parentda76c7dcbc9b52e881c864c7014dbf2a0aaf43b5 (diff)
parentc03a462177bc2ec469a0cdb06234d08f35054966 (diff)
downloadgit-sonar-0629f020498d97f71e8a46828803e4ff54aa6924.tar.gz
git-sonar-0629f020498d97f71e8a46828803e4ff54aa6924.zip
Merge pull request #29 from reinaldo13/issue-17
issue-17: Add arguments to make the prompt shorter
Diffstat (limited to 'test-radar-base.sh')
-rwxr-xr-xtest-radar-base.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/test-radar-base.sh b/test-radar-base.sh
new file mode 100755
index 0000000..9f7f8ee
--- /dev/null
+++ b/test-radar-base.sh
@@ -0,0 +1,28 @@
+scriptDir="$(cd "$(dirname "$0")"; pwd)"
+
+source "$scriptDir/radar-base.sh"
+
+test_show_remote_status() {
+ show_remote_status
+ assertTrue $?
+
+ show_remote_status --bash
+ assertTrue $?
+
+ show_remote_status --bash --fetch
+ assertTrue $?
+
+ show_remote_status --bash --no-remote-status --fetch
+ assertFalse $?
+
+ show_remote_status --bash --fetch --no-remote-status
+ assertFalse $?
+
+ show_remote_status --no-remote-status --bash --fetch
+ assertFalse $?
+
+ show_remote_status --bash --fetch --minimal --no-remote-status
+ assertFalse $?
+}
+
+. ./shunit/shunit2 \ No newline at end of file